html {
  font-size: 17px; /* base */
}
body {
    font-family: 'Roboto', sans-serif;
    /* Fuente más moderna */
    background-color: #f4f4f4;
    margin: 0;
    padding: 1.25rem;
    color: #333;
}

.container {
    max-width: 90%;
    /* Cambia a 800px si deseas más ancho */
    margin: auto;
    background: white;
    padding: 1.25rem;
    border-radius: 0.31rem;
    box-shadow: 0 0 0.62rem rgba(0, 0, 0, 0.1);
    overflow-x: auto;
    /* Permite el desplazamiento horizontal */
}

header {
    margin-bottom: 1.25rem;
}

nav ul {
    list-style: none;
    padding: 0;
}

nav ul li {
    display: inline;
    margin-right: 0.93rem;
}

nav ul li a {
    text-decoration: none;
    color: #007bff;
}

nav ul li a:hover {
    text-decoration: underline;
}

label {
    display: block;
    margin: 0.62rem 0 0.31rem;
}

input,
textarea {
    width: 100%;
    padding: 0.5rem;
    border: 0.06rem solid #ccc;
    border-radius: 0.25rem;
    resize: vertical;
    box-sizing: border-box;
}

button {
    background-color: #28a745;
    color: white;
    padding: 0.62rem;
    border: none;
    border-radius: 0.25rem;
    cursor: pointer;
}

button:hover {
    background-color: #218838;
}

.tab-content {
    margin-top: 1.25rem;
}

.hidden {
    display: none;
}

/* Estilos para la tabla */
.table-container table {
    overflow-x: auto;
    width: 100%;
    border-collapse: collapse;
    border-radius: 0.31rem;
    /* Redondeo de esquinas */
    overflow: hidden;
    /* Para que el border-radius se aplique correctamente */
}

.table-container th,
.table-container td {
    padding: 0.75rem;
    text-align: center;
    border-bottom: 0.06rem solid #ddd;
    cursor: pointer;

}

.table-container table th {
    background-color: #28a745;
    color: white;
}

.table-container th:hover {
    background-color: #28a746c0;
}

.table-container table tr:nth-child(even) {
    background-color: #f2f2f2;
}

.table-container table tr:hover {
    background-color: #e1e1e1;
    /* Color de fondo al pasar el ratón */
}

.table-container table td {
    font-size: 0.87rem;
    /* Tamaño de fuente más pequeño */
}


.table-container {
    max-height: 37.5rem;
    /*Ajusta este valor según lo que necesites */
    overflow-y: auto;
    /* Habilita el scroll vertical */
    position: relative;
}

.table-icon {
    /*display: flex;*/
    justify-content: center;
    /* Centrar horizontalmente */
    align-items: center;
    /* Centrar verticalmente */
    height: 100%;
    /* Asegúrate de que la celda tenga altura completa */

}
.table-icon button {
    background: none;
    border: none;
    cursor: pointer;
    padding: 0.5rem;          /* aumenta el área clickeable */
    border-radius: 0.5rem;    /* esquinas redondeadas */
    transition: background-color 0.2s ease;
}

/* ✨ Efecto hover */
.table-icon button:hover {
    background-color: rgba(0, 123, 255, 0.1); /* azul clarito al pasar el mouse */
}

/* 🎯 Ícono dentro del botón */
.table-icon i {
    font-size: 1.3rem;
    color: #007bff; /* azul bootstrap */
}
.invoice-table-icon {
    text-align: center !important;
    justify-content: center;
    /* Centrar horizontalmente */
    align-items: center;
    /* Centrar verticalmente */
    height: 100%;
    /* Asegúrate de que la celda tenga altura completa */

}

.table-container td.quantity-cell {
  display: grid;
  justify-content: center; /* centrar horizontal */
  align-items: center;     /* centrar vertical */
  gap: 0.3rem;             /* espacio entre elementos */
  flex-wrap: wrap;         /* permite que se apilen en pantallas chicas */
}

.table-container td.quantity-cell button {
  flex: 0 0 auto;          /* que los botones no se estiren raro */
}

.table-container td.quantity-cell .quantity {
  min-width: 1.5rem;
  text-align: center;
}

#paginationControls {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 1.25rem;
}

#paginationUsersControls {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 1.25rem;
}

#paginationItemsControls {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 1.25rem;
}

#paginationControls button {
    background-color: #28a745;
    /* Color azul */
    color: white;
    border: none;
    padding: 0.62rem 1.25rem;
    margin: 0 0.62rem;
    border-radius: 0.31rem;
    cursor: pointer;
    font-size: 1rem;
    transition: background-color 0.3s ease;
}

#paginationControls button:disabled {
    background-color: #d3d3d3;
    /* Color gris para botones deshabilitados */
    cursor: not-allowed;
}

#paginationControls button:hover:not(:disabled) {
    background-color: #28a746c0;
    /* Cambia de color al pasar el cursor por botones habilitados */
}

#paginationControls #pageInfo {
    font-size: 1rem;
    margin: 0 0.62rem;
    color: #333;
    /* Color de texto */
}

/* Estilos del modal */
.modal {
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    /* Centra verticalmente */
    justify-content: center;
    /* Centra horizontalmente */
}

.modal-content {
    background-color: white;
    padding: 1.25rem;
    border-radius: 0.31rem;
    width: 25rem;
    /* Ancho del contenido del modal */
    box-shadow: 0 0.25rem 0.5rem rgba(0, 0, 0, 0.2);
}

.modal-ItemDetail-content {
    background-color: white;
    padding: 1.25rem;
    border-radius: 0.31rem;
    width: min(90%, 70rem); /* ocupa 90% en mobile, hasta 50rem en desktop */
    max-height: 90vh; /* evita que se salga de la pantalla */
    overflow-y: auto;
    /* Ancho del contenido del modal */
    box-shadow: 0 0.25rem 0.5rem rgba(0, 0, 0, 0.2);
}

.modal-ItemStock-content {
    background-color: white;
    padding: 1.25rem;
    border-radius: 0.31rem;
    width: min(90%, 70rem); /* ocupa 90% en mobile, hasta 50rem en desktop */
    max-height: 90vh; /* evita que se salga de la pantalla */
    overflow-y: auto;
    /* Ancho del contenido del modal */
    box-shadow: 0 0.25rem 0.5rem rgba(0, 0, 0, 0.2);
}

.close {
    position: absolute;
    top: 0.62rem;
    right: 1.25rem;
    font-size: 1.5rem;
    cursor: pointer;
}

.search-container {
    position: relative;
    width: 100%;
    /* Ajusta según sea necesario */
}

.search-container input {
    /* Espacio para el ícono a la izquierda */
    height: 2.5rem;
    /* Altura fija del input */
    box-sizing: border-box;
    /* Asegura que el padding no afecte el tamaño total */
    border: 0.06rem solid #ccc;
    /* Borde del input */
    border-radius: 0.25rem;
    /* Bordes redondeados */
    font-size: 0.8rem;
}

/* Contenedor del formulario de inicio de sesión */
.login-wrapper {
    display: flex;
    justify-content: center;
    /* Centrado horizontal */
    align-items: center;
    /* Centrado vertical */
    height: 100vh;
    /* Toma la altura completa de la ventana */
}

.login-container {
    background-color: white;
    padding: 1.25rem;
    border-radius: 0.5rem;
    box-shadow: 0 0.25rem 0.62rem rgba(0, 0, 0, 0.1);
    width: min(90%, 20rem); /* ocupa 90% en mobile, hasta 50rem en desktop */
    /* Ancho máximo del formulario */
}

/* Título del formulario */
#loginForm h2 {
    text-align: center;
    margin-bottom: 1.25rem;
    font-size: 1.5rem;
    color: #333;
}

/* Estilo para etiquetas */
#loginForm label {
    display: block;
    margin-bottom: 0.31rem;
    font-size: 0.87rem;
    color: #333;
}

/* Estilos para los inputs */
#loginForm input {
    width: 100%;
    padding: 0.62rem;
    margin-bottom: 0.93rem;
    border: 0.06rem solid #ccc;
    border-radius: 0.25rem;
    box-sizing: border-box;
}

/* Botón de envío */
#loginForm button {
    width: 100%;
    padding: 0.62rem;
    background-color: #28a745;
    color: white;
    border: none;
    border-radius: 0.25rem;
    cursor: pointer;
    font-size: 1rem;
}

/* Hover en el botón de envío */
#loginForm button:hover {
    background-color: #218838;
}

/* Media query para pantallas pequeñas */
@media (max-width: 35rem) {
    .login-container {
        padding: 0.93rem;
    }

    #loginForm h2 {
        font-size: 1.25rem;
    }
}

select {
    width: 100%;
    /* Ocupa todo el ancho del contenedor */
    padding: 0.62rem;
    /* Espaciado interno */
    border: 0.06rem solid #ccc;
    /* Borde gris claro */
    border-radius: 0.25rem;
    /* Bordes redondeados */
    background-color: white;
    /* Fondo blanco */
    font-size: 0.87rem;
    /* Tamaño de la fuente */
    box-sizing: border-box;
    /* Para que el padding no afecte el tamaño total */
    appearance: none;
    /* Elimina el estilo predeterminado del navegador */
    cursor: pointer;
}

select:focus {
    border-color: #28a745;
    /* Cambia el color del borde al enfocarse */
    outline: none;
    /* Elimina el contorno predeterminado */
}

option {
    padding: 0.62rem;
    /* Espaciado interno de las opciones */
}

/* Contenedor principal de las tabs */
.nav-tabs {
    list-style-type: none;
    padding: 0;
    display: flex;
    /* Cambiar a flex para alinearlos horizontalmente */
    justify-content: flex-start;
    /* Alinear a la izquierda */
}

.nav-tabs li {
    margin-right: 0.31rem;
    /* Espacio entre los tabs */
}

/* Enlace de las tabs principales */
.nav-tabs a {
    color: #28a745;
    padding: 0.62rem;
    display: block;
    text-align: left;
    /* Alinear el texto a la izquierda */
    border-radius: 0.25rem;
    transition: background-color 0.3s ease;
    background-color: #ffffff;
    box-shadow: 0 0.12rem 0.31rem rgba(0, 0, 0, 0.1);
    margin-bottom: 0.31rem;
    /* Espacio entre los tabs */
}

.nav-tabs a:hover {
    background-color: #e9ecef;
    text-decoration: none;
}

/* Estilos para las sub-tabs */
.sub-tabs {
    list-style-type: none;
    padding-left: 0;
    display: none;
    /* Ocultar por defecto */
    background-color: #f8f9fa;
    padding: 0.31rem;
    border-radius: 0.25rem;
    box-shadow: 0 0.12rem 0.31rem rgba(0, 0, 0, 0.1);
    position: absolute;
    z-index: 1000;
}

/* Mostrar las subtabs cuando se pasa el mouse por encima del tab principal */
.nav-tabs li:hover .sub-tabs {
    display: block;
}

/* Mantiene las subtabs visibles cuando se pasa el mouse por encima de las subtabs */
.sub-tabs:hover {
    display: block;
    /* Mantiene las subtabs visibles */
}

.sub-tabs li {
    margin: 0.31rem 0;
}

/* Enlace de las sub-tabs */
.sub-tabs a {
    text-decoration: none;
    color: #28a745;
    padding: 0.5rem 0.93rem;
    display: block;
}

.sub-tabs a:hover {
    background-color: #e9ecef;
    text-decoration: none;

}

/* Media query para pantallas pequeñas */
@media (max-width: 37.5rem) {
    .nav-tabs {
        flex-direction: column;
        /* Hace que los tabs principales se apilen verticalmente */
    }

    .nav-tabs li {
        margin: 0.06rem 0;
        /* Aumenta el margen entre tabs en pantallas pequeñas */
    }
}

#mi-cuenta-menu {
    position: absolute;
    top: 0.62rem;
    right: 0.62rem;
    background-color: #ffffff;
    border: 0.06rem solid #ddd;
    border-radius: 0.5rem;
    padding: 0.62rem;
    box-shadow: 0 0.25rem 0.37rem rgba(0, 0, 0, 0.1);
}

#mi-cuenta-toggle {
    background-color: #28a745;
    color: white;
    border: none;
    padding: 0.5rem 0.75rem;
    border-radius: 0.31rem;
    cursor: pointer;
}

#mi-cuenta-toggle:hover {
    background-color: #23943d;
}

#mi-cuenta-opciones {
    margin-top: 0.62rem;
    background-color: #f9f9f9;
    border: 0.06rem solid #ddd;
    border-radius: 0.5rem;
    padding: 0.62rem;
    box-shadow: 0 0.25rem 0.37rem rgba(0, 0, 0, 0.1);

}

#mi-cuenta-opciones ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

#mi-cuenta-opciones li {
    margin-bottom: 0;

}

#mi-cuenta-opciones li button {
    background-color: transparent;
    border: none;
    color: #28a745;
    cursor: pointer;
    font-style: 'Roboto', sans-serif;
    text-decoration: none;

}

#mi-cuenta-opciones li button:hover {
    color: #0056b3;
}

/* Ocultar por defecto */
#loadingOverlay {
    visibility: hidden;
    /* Oculta sin eliminar del flujo del DOM */
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
    pointer-events: none;
}

.show-overlay {
    visibility: visible !important;
    opacity: 1 !important;
    pointer-events: all !important;
    /* Reactiva clics solo cuando está visible */
}

/* Animación de carga */
.spinner {
    width: 3.12rem;
    height: 3.12rem;
    border: 0.31rem solid rgba(255, 255, 255, 0.3);
    border-top: 0.31rem solid white;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

.show-section {
    display: block;
}

.hide-section {
    display: none;
}

.show-modal {
    display: flex;
}

.hide-modal {
    display: none;
}

.invoice-info-container {
    margin-bottom: 1.25rem;
}

.invoice-info-container table {
    width: 100%;
    border-collapse: collapse;
    font-size: 0.87rem;
    text-align: left;
    /* <-- clave para alinear a la izquierda */
}
.invoice-info-container td {
    text-align: left;
    padding: 0.25rem 0.5rem;
    border: none;
    background: transparent;
    color: #333;
}

.invoice-info-container th {
    text-align: left;
    padding: 0.25rem 0.5rem;
    border: none;
    background: transparent;
    color: #333;
}

.invoice-info-container select {
    border: 0.06rem solid #ccc;
    /* Borde gris claro */
    border-radius: 0.25rem;
    /* Bordes redondeados */
    background-color: white;
    /* Fondo blanco */
    font-size: 0.87rem;
    /* Tamaño de la fuente */
    box-sizing: border-box;
    /* Para que el padding no afecte el tamaño total */
    appearance: none;
    /* Elimina el estilo predeterminado del navegador */
    cursor: pointer;
}

.select-Client-Container h1 {
    margin-top: 1.12rem;
    margin-bottom: 1.12rem;
    font-size: 1.12rem;
}

.select-Client-Container label {
    display: block;
    padding: 0.25rem 0.5rem;
    font-size: 0.87rem;
    margin: 0;
}

.select-Client-Container input[type="checkbox"]{
    width: auto;
}

.select-Client-Container input[type="text"] {
    height: 2.5rem;
    /* Altura fija del input */
    box-sizing: border-box;
    /* Asegura que el padding no afecte el tamaño total */
    border: 0.06rem solid #ccc;
    /* Borde del input */
    border-radius: 0.25rem;
    /* Bordes redondeados */
    font-size: 0.8rem;  
}
.select-Client-Container select {
    width: 100%;
    /* Ocupa todo el ancho del contenedor */
    padding: 0.62rem;
    /* Espaciado interno */
    border: 0.06rem solid #ccc;
    /* Borde gris claro */
    border-radius: 0.25rem;
    /* Bordes redondeados */
    background-color: white;
    /* Fondo blanco */
    font-size: 0.87rem;
    /* Tamaño de la fuente */
    box-sizing: border-box;
    /* Para que el padding no afecte el tamaño total */
    appearance: none;
    /* Elimina el estilo predeterminado del navegador */
    cursor: pointer;
    /* Cambia el cursor a puntero */
    margin: 0.62rem 0 0.31rem;
}

.searchItemInvoiceContainer select {
    width: 100%;
    /* Ocupa todo el ancho del contenedor */
    padding: 0.62rem;
    /* Espaciado interno */
    border: 0.06rem solid #ccc;
    /* Borde gris claro */
    border-radius: 0.25rem;
    /* Bordes redondeados */
    background-color: white;
    /* Fondo blanco */
    font-size: 0.87rem;
    /* Tamaño de la fuente */
    box-sizing: border-box;
    /* Para que el padding no afecte el tamaño total */
    appearance: none;
    /* Elimina el estilo predeterminado del navegador */
    cursor: pointer;
    /* Cambia el cursor a puntero */
    margin: 0.62rem 0 0.31rem;
}

.searchItemInvoiceContainer h1 {
    margin-top: 1.12rem;
    margin-bottom: 1.12rem;
    font-size: 1.12rem;
}

.item-details-grid {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(15rem, 1fr));
            gap: 1rem;
            margin: 2rem 0;
        }

        .detail-card {
            background: #fff;
            border: 0.06rem solid #ddd;
            border-radius: 0.62rem;
            padding: 1rem;
            box-shadow: 0 0.12rem 0.31rem rgba(0,0,0,0.05);
        }

        .detail-card h3 {
            font-size: 1.2rem;
            margin: 0 0 0.5rem;
            color: #28a745;
        }

        .detail-card p {
            margin: 0;
            font-size: 1rem;
            color: #333;
        }

        .detail-card i {
            margin-right: 0.5rem;
            color: #555;
        }
